Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class COMM_FAILUREHelper

    java.lang.Object
      |
      +--org.omg.CORBA.COMM_FAILUREHelper

public class COMM_FAILUREHelper
extends java.lang.Object

Helper class for : COMM_FAILURE

Author:
  OpenORB Compiler

Constructor Summary
`COMM_FAILUREHelper()`

Method Summary
`static COMM_FAILURE` | `extract(Any a)` Extract COMM_FAILURE from an any
`static java.lang.String` | `id()` Return the COMM_FAILURE IDL ID
`static void` | `insert(Any a, COMM_FAILURE t)` Insert COMM_FAILURE into an any
`static COMM_FAILURE` | `read(InputStream istream)` Read COMM_FAILURE from a marshalled stream
`static TypeCode` | `type()` Return the COMM_FAILURE TypeCode
`static void` | `write(OutputStream ostream, COMM_FAILURE value)` Write COMM_FAILURE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### COMM_FAILUREHelper

    public COMM_FAILUREHelper()

Method Detail

### insert

    public static void insert(Any a,
                              COMM_FAILURE t)

  Insert COMM_FAILURE into an any
  Parameters:
    `a` - an any
    `t` - COMM_FAILURE value

### extract

    public static COMM_FAILURE extract(Any a)

  Extract COMM_FAILURE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted COMM_FAILURE value

### type

    public static TypeCode type()

  Return the COMM_FAILURE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the COMM_FAILURE IDL ID
  Returns:
    an ID

### read

    public static COMM_FAILURE read(InputStream istream)

  Read COMM_FAILURE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed COMM_FAILURE value

### write

    public static void write(OutputStream ostream,
                             COMM_FAILURE value)

  Write COMM_FAILURE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - COMM_FAILURE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD